local default_strings = {
  LWS_ADDON_TITLE = "LootWall",
  LWS_TEXT_SETTINGSCHANGED = "[LootWall]Your settings may have been changed due to update of the Add-On. Please check the configuration screen.",
  --Settings
  LWS_PRESET_CHOICE_PROMPT = "Prompt",
  LWS_PRESET_CHOICE_DESTROY = "Destroy",
  LWS_PRESET_CHOICE_JUNK = "Junk",
  LWS_PRESET_CHOICE_KEEP = "Keep",
  LWS_DESCRIPTION_TITLE = "What is LootWall?",
  LWS_DESCRIPTION = "LootWall is an interactive, firewall-like AddOn that allows you to select different actions when you loot an \"unknown\" item.\nIn here, you can define some default behaviours, like quality threshold etc...",
  LWS_GENERAL_SETTINGS = "General",
  LWS_QUALITY_THRESHOLD = "Min. Quality To Keep",
  LWS_QUALITY_THRESHOLD_TOOLTIP = "Sets the lowest item quality for which the addon will not promt you for action.",
  LWS_PRESET_ORNATE = "Ornate Trait Items",
  LWS_PRESET_ORNATE_TOOLTIP = "Sets default behavior for items with \"Ornate\" trait.",
  LWS_PRESET_INTRICATE = "Intricate Trait Items",
  LWS_PRESET_INTRICATE_TOOLTIP = "Sets default behavior for items with \"Intricate\" trait.",
  LWS_PRESET_NIRNHONED = "Nirnhoned Trait Items",
  LWS_PRESET_NIRNHONED_TOOLTIP = "Sets default behavior for items with \"Nirnhoned\" trait.",
  LWS_PRESET_SELLJUNK = "Sell All Junk",
  LWS_PRESET_SELLJUNK_TOOLTIP = "Automatically sell all items marked as junk at vendors.",
  LWS_PRESET_SHOWCURSOR = "Automatically Show Cursor",
  LWS_PRESET_SHOWCURSOR_TOOLTIP = "This setting will automatically show cursor when LootWall window pops up. I cannot as of now hide it for you, as it seems it bugs the game out. But no worries, it hides itself one you start walking or doing something. But that can also hide it prematurely. In that case, remember your key bind for Toggle cursor, default is [.] (period).",
  LWS_CRAFTING_RESOURCES = "Crafting Resources",
  LWS_PRESET_STYLEMATS = "Style Material Items",
  LWS_PRESET_STYLEMATS_TOOLTIP = "Sets default behavior for all style materials.",
  LWS_PRESET_ALCHEMYMATS = "Alchemy Materials",
  LWS_PRESET_ALCHEMYMATS_TOOLTIP = "Sets default behavior for all alchemy materials.",
  LWS_PRESET_ENCHANTINGMATS = "Enchanting Materials",
  LWS_PRESET_ENCHANTINGMATS_TOOLTIP = "Sets default behavior for all enchanting materials.",
  LWS_PRESET_PROVISIONMATS = "Provisioning Materials",
  LWS_PRESET_PROVISIONMATS_TOOLTIP = "Sets default behavior for all provisioning materials.",
  LWS_PRESET_CLOTHINGMATS = "Clothier Materials",
  LWS_PRESET_CLOTHINGMATS_TOOLTIP = "Sets default behavior for all clothier materials.",
  LWS_PRESET_BLACKSMITHMATS = "Blacksmithing Materials",
  LWS_PRESET_BLACKSMITHMATS_TOOLTIP = "Sets default behavior for all blacksmithing materials.",
  LWS_PRESET_WOODWORKMATS = "Woodworking Materials",
  LWS_PRESET_WOODWORKMATS_TOOLTIP = "Sets default behavior for all woodworking materials.",
  LWS_STORED_RULES = "Stored Rules",
  LWS_STORED_RULES_TITLE = "What does this button do?",
  LWS_STORED_RULES_DESCRIPTION = "The following button will remove all your saved rules made by decisions by dialog by this character. Please make sure you DO know wat you're doing. There WILL be some rule edit window at some point, but right now, the addon will start from scratch. Literally last resort.",
  LWS_BUTTON_DELETEALL = "Delete all rules",
  LWS_BUTTON_DELETEALL_TOOLTIP = "Resets the rules from promts you have made on this character.",
  LWS_HEADER_IGNORES = "Loot Sources",
  LWS_PRESET_IGNOREBANK = "Ignore Loot from Bank",
  LWS_PRESET_IGNOREBANK_TOOLTIP = "Ignores the loot you receive from bank withdraws. This option is disabled as the add-on can not detect Bank withdraws.",
  LWS_PRESET_IGNOREGUILDBANK = "Ignore Loot from Guild Bank",
  LWS_PRESET_IGNOREGUILDBANK_TOOLTIP = "Ignores all loot received from guild bank withdraws. This option is disabled as the add-on can not detect Bank withdraws.",
  LWS_PRESET_IGNORESTORE = "Ignore Loot from Merchant",
  LWS_PRESET_IGNORESTORE_TOOLTIP = "Ignores items you buy at merchants",
  LWS_PRESET_IGNOREMAIL = "Ignore Loot from Mail",
  LWS_PRESET_IGNOREMAIL_TOOLTIP = "Ignores loot you receive from mail attachments",
  LWS_PRESET_IGNORECRAFT = "Ignore Loot from Crafting",
  LWS_PRESET_IGNORECRAFT_TOOLTIP = "Ignores loot you receive as result of crafting, refining or decontruction",
  LWS_PRESET_IGNOREFENCE = "Ignore Loot from Launder",
  LWS_PRESET_IGNOREFENCE_TOOLTIP = "Ignores loot you receive when laundering items at fence",
  LWS_PRESET_TRASH = "Trash Quality Items",
  LWS_PRESET_TRASH_TOOLTIP = "Sets default behavior for items of Trash quality.",
  LWS_PRESET_BAIT = "Fishing Bait",
  LWS_PRESET_BAIT_TOOLTIP = "Sets default behavior for Fishing Bait items.",
  LWS_HDR_RESEARCH = "Trait Research",
  LWS_PRESET_RESEARCH_CLOTH = "Clothing Researchable",
  LWS_PRESET_RESEARCH_CLOTH_TOOLTIP = "Sets behavior for unknown and researchable traits on Clothier (Light/Medium) items.",
  --LWS_PRESET_RESEARCH_MEDIUM = "Medium Armor Researchable",
  --LWS_PRESET_RESEARCH_HEAVY = "Heavy Armor Researchable",
  LWS_PRESET_RESEARCH_BS = "Blacksmithing Researchable",
  LWS_PRESET_RESEARCH_BS_TOOLTIP = "Sets behavior for unknown and researchable traits on Blacksmith (Heavy Armor, Weapons) items.",
  LWS_PRESET_RESEARCH_WWORK = "Woodworking Researchable",
  LWS_PRESET_RESEARCH_WWORK_TOOLTIP = "Sets behavior for unknown and researchable traits on Woodworking (Staff, Bow, Shield) items.",
  LWS_UNKNOWN_TRAIT = "need",
}

for strid,strvalue in pairs(default_strings) do
  ZO_CreateStringId(strid,strvalue)
  SafeAddVersion(strid,1)
end